- Eventide Audio

Reply To: Does v5.0.1 software have any problem with TimeFactor?

Home Forums Products Stompboxes Does v5.0.1 software have any problem with TimeFactor? Reply To: Does v5.0.1 software have any problem with TimeFactor?

#127549
gkellum
Member

Nobody's forcing anyone to do anything. If you'd prefer to continue to use FactorLib to manage your presets, send an email to support@eventide.com and we'll send you links to the installers. 

If you ever want to install an older release to your TimeFactor, the updating software — the Eventide Direct Updater — allows you to select which release you want to install and it shows the older releases as well.

We're not aware of there being any drawbacks to installing the v5 TimeFactor release, and it has the advantage of having a greatly improved Looper.